curl --request POST \
--url https://api.maxapi.ai/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.5-t2v-preview",
"input": {
"prompt": "一只可爱的小猫在草地上玩耍"
}
}
'{
"output": {
"task_id": "task_123456",
"task_status": "PENDING"
},
"request_id": "req_123456",
"usage": {
"duration": 5
}
}videoGenerate ()
Use this endpoint to call the provider-compatible videogenerate () operation through MaxAPI.
POST
https://api.maxapi.ai
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
curl --request POST \
--url https://api.maxapi.ai/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.5-t2v-preview",
"input": {
"prompt": "一只可爱的小猫在草地上玩耍"
}
}
'{
"output": {
"task_id": "task_123456",
"task_status": "PENDING"
},
"request_id": "req_123456",
"usage": {
"duration": 5
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Available options:
wan2.5-t2v-preview, wan2.2-t2v-plus, wanx2.1-t2v-turbo, wanx2.1-t2v-plus, wan2.5-i2v-preview, wan2.2-i2v-flash, wan2.2-i2v-plus, wanx2.1-i2v-turbo, wanx2.1-i2v-plus, wan2.2-kf2v-flash, wanx2.1-kf2v-plus